org.eclipse.oomph.resources

## Interface ProjectFactory

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Subinterfaces:
    EclipseProjectFactory, MavenProjectFactory, XMLProjectFactory
  All Known Implementing Classes:
    EclipseProjectFactoryImpl, MavenProjectFactoryImpl, ProjectFactoryImpl, XMLProjectFactoryImpl

      public interface ProjectFactory
      extends ModelElement

  A representation of the model object 'Project Factory'.

  The following features are supported:

  - `Excluded Paths`
  See Also:
    `ResourcesPackage.getProjectFactory()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IProject` | `createProject(BackendContainer rootContainer, BackendContainer backendContainer, IProgressMonitor monitor)`
    `EList<String>` | `getExcludedPaths()` Returns the value of the 'Excluded Paths' attribute list.
    `boolean` | `isExcludedPath(BackendContainer rootContainer, BackendContainer backendContainer)`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExcludedPaths

          EList<String> getExcludedPaths()

      Returns the value of the 'Excluded Paths' attribute list. The list contents are of type `String`.

      If the meaning of the 'Excluded Paths' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Excluded Paths' attribute list.
      See Also:
        `ResourcesPackage.getProjectFactory_ExcludedPaths()`
      Generated
      Model
        extendedMetaData="name='excludedPath'"

    - #### createProject

          IProject createProject(BackendContainer rootContainer,
                               BackendContainer backendContainer,
                               IProgressMonitor monitor)

      Generated
      Model
        dataType="org.eclipse.oomph.predicates.Project" rootContainerDataType="org.eclipse.oomph.resources.BackendContainer" backendContainerDataType="org.eclipse.oomph.resources.BackendContainer" monitorDataType="org.eclipse.oomph.resources.ProgressMonitor"

    - #### isExcludedPath

          boolean isExcludedPath(BackendContainer rootContainer,
                               BackendContainer backendContainer)

      Generated
      Model
        rootContainerDataType="org.eclipse.oomph.resources.BackendContainer" backendContainerDataType="org.eclipse.oomph.resources.BackendContainer"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html